Skip to main content
GET
/
custom-reference-data
/
sources
/
{sourceId}
/
snapshots
List available snapshots for a custom source
curl --request GET \
  --url https://api.artu.ai/custom-reference-data/sources/{sourceId}/snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "filename": "<string>",
    "recordCount": 0,
    "snapshotAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

sourceId
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
sourceId
string<uuid>
required
filename
string
required
recordCount
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
snapshotAt
string<date-time>
required
createdAt
string<date-time>
required